!
      SUBROUTINE PRINTETA (SI,SM,im,jm,nm)
!
      IMPLICIT REAL (A-H, O-Z)
!
!
      integer::im,jm,nm
      REAL           SI(0:im+1,0:jm+1,nm),   SM(0:im+1,0:jm+1,nm)
      INTEGER        SI2D(0:im+1,0:jm+1,nm), SM2D(0:im+1,0:jm+1,nm)
      INTEGER        SR
!
      do n=1,nm
      DO J=1,JM
      DO I=1,IM
!                          CONVERT MTRS TO INCHES, CAP AT 9 FOR PRINT
      SINCH=SI(I,J,n)*100./2.54
      SR= NINT(SINCH)
      SR = MIN (9,SR) 
      SI2D(I,J,n) = SR 
      SM2D(I,J,n) = NINT(SM(I,J,n))
      IF (SM2D(I,J,n).EQ.0) SI2D(I,J,n)=MAX(1,MIN(8,SI2D(I,J,n)))
!   
      ENDDO
      ENDDO
      ENDDO
!
      PRINT 50
   50 FORMAT(////' LAND-SEA MASK OF ETA GRID ( SEA/LAKE=1, LAND=0 )'/)
!
      DO 100, JJ=1,JM,JM/10
      J = JM + 1 - JJ
      PRINT 70, J, (SM2D(I,J,3), I=1,IM,IM/10)
   70 FORMAT(' ', ' J=', I4, 1X, 172I1)
  100 CONTINUE
!
      PRINT 75
   75 FORMAT(/' SNOW/ICE ON ETA GRID '/  &
      ' ',9X,'(ICE-FREE SEA=0, SNOW-FREE LAND=1, SNOW=2-8 IN., ICE=9)'/  &
      ' ','*** SNOWDEPTH CAPPED HERE AT 8 INCHES FOR DISPLAY ONLY ***'/)
!
      DO 200, JJ=1,JM,JM/10
      J = JM + 1 - JJ
      PRINT 70, J, (SI2D(I,J,3), I=1,IM,IM/10)
  200 CONTINUE
!
      RETURN
      END
